./goblint --conf conf/svcomp-validate.json --witness.yaml.unassume /mnt/goblint-svcomp/sv-comp/svcomp24-witnesses/results-verified/cpachecker.2023-11-29_00-03-15.files/SV-COMP24_unreach-call/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.yml/witness.yml --witness.yaml.validate /mnt/goblint-svcomp/sv-comp/svcomp24-witnesses/results-verified/cpachecker.2023-11-29_00-03-15.files/SV-COMP24_unreach-call/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.yml/witness.yml --sets ana.specification /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp --sets exp.architecture 32bit /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c


--------------------------------------------------------------------------------


[0;33m[Warning] --sets is deprecated, use --set instead.[0;0;00m
[0;33m[Warning] --sets is deprecated, use --set instead.[0;0;00m
[Info] unrolling loop at lib/libc/stub/src/stdlib.c:10:5-12:5 with factor 12
[Info] unrolling loop at lib/libc/stub/src/stdlib.c:21:9-27:9 with factor 4
[Info] unrolling loop at lib/libc/stub/src/stdlib.c:40:3-45:3 with factor 6
[Info] no thread creation -> disabling thread analyses "race, deadlock, maylocks, symb_locks, thread, threadid, threadJoins, threadreturn, mhp, region"
[Info] Enabled congruence domain.
[Info] Enabled octagon domain ONLY for:
[Info] nomsg, __return_main, i, count, tmp, key, a, count, j, k, size, i, i___0, j___0, a, top, expression, init__r121, init__r131, init__r141, init__r211, init__r231, init__r241, init__r311, init__r321, cond
[Info] SV-COMP specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
[Info][Witness] cannot unassume entry of type violation_sequence
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:472:2-472:28)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:508:2-508:28)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:544:2-544:28)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:580:2-580:28)
[Warning][Deadcode] Function 'assume_abort_if_not' is uncalled: 2 LLoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:18:1-20:1)
[Warning][Deadcode] Function 'main' has dead code:
  on line 680 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:680-680)
  on line 858 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:858-858)
  on line 875 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:875-875)
  on line 892 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:892-892)
  on line 997 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:997-997)
  on line 1014 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1014-1014)
  on line 1031 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1031-1031)
  on line 1136 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1136-1136)
  on line 1153 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1153-1153)
  on line 1170 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1170-1170)
  on line 1275 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1275-1275)
  on line 1292 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1292-1292)
  on line 1309 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1309-1309)
  on line 1338 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1338-1338)
[Warning][Deadcode] Logical lines of code (LLoC) summary:
  live: 649
  dead: 16 (2 in uncalled functions)
  total lines: 665
[Warning][Deadcode][CWE-571] condition 'main__i2 != 0' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:439:6-439:19)
[Warning][Deadcode][CWE-571] condition '(int )max4 != (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:822:6-822:19)
[Warning][Deadcode][CWE-571] condition '(int )p41_new == (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:824:6-824:22)
[Warning][Deadcode][CWE-571] condition '(int )max4 != (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:833:6-833:19)
[Warning][Deadcode][CWE-571] condition '(int )p42_new == (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:835:6-835:22)
[Warning][Deadcode][CWE-571] condition '(int )max4 != (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:844:6-844:19)
[Warning][Deadcode][CWE-571] condition '(int )p43_new == (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:846:6-846:22)
[Warning][Deadcode][CWE-571] condition '(int )max3 != (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:961:6-961:19)
[Warning][Deadcode][CWE-571] condition '(int )p31_new == (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:963:6-963:22)
[Warning][Deadcode][CWE-571] condition '(int )max3 != (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:972:6-972:19)
[Warning][Deadcode][CWE-571] condition '(int )p32_new == (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:974:6-974:22)
[Warning][Deadcode][CWE-571] condition '(int )max3 != (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:983:6-983:19)
[Warning][Deadcode][CWE-571] condition '(int )p34_new == (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:985:6-985:22)
[Warning][Deadcode][CWE-571] condition '(int )max2 != (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1100:6-1100:19)
[Warning][Deadcode][CWE-571] condition '(int )p21_new == (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1102:6-1102:22)
[Warning][Deadcode][CWE-571] condition '(int )max2 != (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1111:6-1111:19)
[Warning][Deadcode][CWE-571] condition '(int )p23_new == (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1113:6-1113:22)
[Warning][Deadcode][CWE-571] condition '(int )max2 != (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1122:6-1122:19)
[Warning][Deadcode][CWE-571] condition '(int )p24_new == (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1124:6-1124:22)
[Warning][Deadcode][CWE-571] condition '(int )max1 != (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1239:6-1239:19)
[Warning][Deadcode][CWE-571] condition '(int )p12_new == (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1241:6-1241:22)
[Warning][Deadcode][CWE-571] condition '(int )max1 != (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1250:6-1250:19)
[Warning][Deadcode][CWE-571] condition '(int )p13_new == (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1252:6-1252:22)
[Warning][Deadcode][CWE-571] condition '(int )max1 != (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1261:6-1261:19)
[Warning][Deadcode][CWE-571] condition '(int )p14_new == (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_floodmax.4.3.ufo.BOUNDED-8.pals.c.v+cfa-reducer.c:1263:6-1263:22)
[Info][Witness] witness validation summary:
  confirmed: 0
  unconfirmed: 0
  refuted: 0
  error: 0
  unchecked: 0
  unsupported: 0
  disabled: 0
  total validation entries: 0
SV-COMP result: unknown
